π Aliexpress
The API offers essential endpoints for retrieving data related to product searches, product listings, category information, product reviews, and detailed product descriptions. These endpoints facilitate seamless access to product-related content, supporting efficient browsing, review retrieval, and detailed information exploration within the application or service utilizing the API.
GET /v1/collections
requires authentication
Get trending or curated product collections from AliExpress. Returns lists of product names and URLs based on the specified channel (popular, wholesale, promotion, cheap, reviews).
Example request:
import requests
import json
url = 'https://api.steadyapi.com/v1/aliexpress/collections'
params = {
'channel': 'popular',
'page': '2',
}
headers = {
'Authorization': 'Bearer {YOUR_AUTH_KEY}'
}
response = requests.request('GET', url, headers=headers, params=params)
response.json()$client = new \GuzzleHttp\Client();
$url = 'https://api.steadyapi.com/v1/aliexpress/collections';
$response = $client->get(
$url,
[
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_KEY}',
],
'query' => [
'channel' => 'popular',
'page' => '2',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));const url = new URL(
"https://api.steadyapi.com/v1/aliexpress/collections"
);
const params = {
"channel": "popular",
"page": "2",
};
Object.keys(params)
.forEach(key => url.searchParams.append(key, params[key]));
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());curl --request GET \
--get "https://api.steadyapi.com/v1/aliexpress/collections?channel=popular&page=2" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}"Example response (200, Success):
{
"meta": {
"version": "v1.0",
"status": 200,
"copywrite": "https://steadyapi.com",
"channel": "popular",
"page": 1
},
"body": [
{
"category": "Apparel Accessories",
"items": [
{
"search_term": "0.5 reading glasses",
"url": "https://www.aliexpress.com/w/wholesale-0.5-reading-glasses.html"
},
{ ... }
]
},
{
"category": "Automobiles & Motorcycles",
"items": [
{
"search_term": "10 inch android car stereo universal",
"url": "https://www.aliexpress.com/w/wholesale-10-inch-android-car-stereo-universal.html"
},
{ ... }
]
},
{ ... }
]
}
Example response (401, Unauthenticated):
{
"message": "Unauthenticated."
}
Example response (403, Unauthorized):
{
"message": "This action is unauthorized."
}
Example response (404, Not Found):
{
"success": false,
"message": "Resource Not Found"
}
Example response (422, Error Validations):
{
"message": "The ticker field is required.",
"errors": {
"ticker": [
"The ticker field is required."
]
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET /v1/search
requires authentication
Search for products on AliExpress using specific keywords and filters. Returns paginated product listings with pricing, images, and seller information.
Example request:
import requests
import json
url = 'https://api.steadyapi.com/v1/aliexpress/search'
params = {
'search': 'wireless earbuds',
'minPrice': '10.99',
'maxPrice': '50',
}
headers = {
'Authorization': 'Bearer {YOUR_AUTH_KEY}'
}
response = requests.request('GET', url, headers=headers, params=params)
response.json()$client = new \GuzzleHttp\Client();
$url = 'https://api.steadyapi.com/v1/aliexpress/search';
$response = $client->get(
$url,
[
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_KEY}',
],
'query' => [
'search' => 'wireless earbuds',
'minPrice' => '10.99',
'maxPrice' => '50',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));const url = new URL(
"https://api.steadyapi.com/v1/aliexpress/search"
);
const params = {
"search": "wireless earbuds",
"minPrice": "10.99",
"maxPrice": "50",
};
Object.keys(params)
.forEach(key => url.searchParams.append(key, params[key]));
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());curl --request GET \
--get "https://api.steadyapi.com/v1/aliexpress/search?search=wireless+earbuds&minPrice=10.99&maxPrice=50" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}"Example response (200, Success):
{
"meta": {
"version": "v1.0",
"status": 200,
"copywrite": "https://steadyapi.com",
"search": "solar lights lawn",
"page": "2",
"sort": "orders_desc",
"has_more": true
},
"body": [
{
"product_id": "3256806867817717",
"title": "Garden Lights-New Upgraded Solar Powered Firefly Lights Outdoor Waterproof Vibran Garden Lights for Decorationi",
"prices": null,
"selling_points": [
{
"sellingPointTagId": "m0000094",
"position": 1,
"tagStyleType": "default",
"tagContent": {
"displayTagType": "image",
"tagImgUrl": "https://ae01.alicdn.com/kf/S1887a285b60743859ac7bdbfca5e0896Z/154x64.png",
"tagImgWidth": 154,
"tagImgHeight": 64,
"tagStyle": {
"position": "1"
}
},
"source": "choice_atm",
"resourceCode": "searchItemCard"
},
{ ... }
],
"image": "https://ae-pic-a1.aliexpress-media.com/kf/Sab7db2ba00f14266abf91ef43a187f93t.jpg",
"rating": 4.7,
"sold": "10,000+ sold",
"url": "https://www.aliexpress.com/item/3256806867817717.html",
"images": [
"https://ae-pic-a1.aliexpress-media.com/kf/Sab7db2ba00f14266abf91ef43a187f93t.jpg",
"https://ae-pic-a1.aliexpress-media.com/kf/S55f12b944ea34c74894db9a8f8ed46d8M.jpg",
"https://ae-pic-a1.aliexpress-media.com/kf/S9bbb99a4f822440095ac723428d7a96dR.jpg",
"https://ae-pic-a1.aliexpress-media.com/kf/S82db8fd24e9843a18ab62c8aa87e3de23.jpg",
"https://ae-pic-a1.aliexpress-media.com/kf/Sc4e1175eea974cb59616fb29a25caa52F.jpg",
"https://ae-pic-a1.aliexpress-media.com/kf/S318873ab374f4e12a78348e6159974ffB.jpg"
]
},
{ ... }
]
}
Example response (401, Unauthenticated):
{
"message": "Unauthenticated."
}
Example response (403, Unauthorized):
{
"message": "This action is unauthorized."
}
Example response (404, Not Found):
{
"success": false,
"message": "Resource Not Found"
}
Example response (422, Error Validations):
{
"message": "The ticker field is required.",
"errors": {
"ticker": [
"The ticker field is required."
]
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET /v1/product/reviews
requires authentication
Get customer reviews for a specific AliExpress product. Returns paginated reviews with ratings, comments, images, and buyer information.
Example request:
import requests
import json
url = 'https://api.steadyapi.com/v1/aliexpress/product/reviews'
params = {
'productId': '3256811338087030',
'filter': 'all',
}
headers = {
'Authorization': 'Bearer {YOUR_AUTH_KEY}'
}
response = requests.request('GET', url, headers=headers, params=params)
response.json()$client = new \GuzzleHttp\Client();
$url = 'https://api.steadyapi.com/v1/aliexpress/product/reviews';
$response = $client->get(
$url,
[
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_KEY}',
],
'query' => [
'productId' => '3256811338087030',
'filter' => 'all',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));const url = new URL(
"https://api.steadyapi.com/v1/aliexpress/product/reviews"
);
const params = {
"productId": "3256811338087030",
"filter": "all",
};
Object.keys(params)
.forEach(key => url.searchParams.append(key, params[key]));
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());curl --request GET \
--get "https://api.steadyapi.com/v1/aliexpress/product/reviews?productId=3256811338087030&filter=all" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}"Example response (200, Success):
{
"meta": {
"version": "v1.0",
"status": 200,
"copywrite": "https://steadyapi.com",
"totalReviews": 10814,
"per_page": 20,
"currentPage": 3,
"filter": "all"
},
"body": {
"reviewStatistics": {
"evarageStar": 4.7,
"evarageStarRage": 94.6,
"fiveStarNum": 9269,
"fiveStarRate": 85.5,
"fourStarNum": 936,
"fourStarRate": 8.6,
"negativeNum": 411,
"negativeRate": 2.1,
"neutralNum": 231,
"neutralRate": 8.6,
"oneStarNum": 311,
"oneStarRate": 2.9,
"positiveNum": 10205,
"positiveRate": 85.5,
"threeStarNum": 231,
"threeStarRate": 2.1,
"totalNum": 10847,
"twoStarNum": 100,
"twoStarRate": 0.9
},
"reviews": [
{
"anonymous": false,
"buyerAddFbDays": 0,
"buyerCountry": "ES",
"buyerEval": 40,
"buyerFbType": {
"crowdSourcingPersonName": "AliExpress Shopper",
"sourceLang": "en",
"typeTranslationAccepted": "crowdsourcing"
},
"buyerFeedback": "Left pod didn't work",
"buyerName": "c***s",
"buyerProductFeedBack": "",
"buyerTranslationFeedback": "Left pod didn't work",
"downVoteCount": 0,
"evalDate": "17 Aug 2023",
"evaluationId": 30063078701207730,
"evaluationIdStr": "30063078701207729",
"logistics": "Aliexpress Selection Standard",
"skuInfo": "Color:XT80 Black ",
"status": "1",
"upVoteCount": 0
},
{ ... }
],
"impressionList": [
{
"content": "sound quality is good",
"emotion": 1,
"id": "7887495818646144966",
"num": 1149,
"productId": 1005005071434469
},
{ ... }
]
}
}
Example response (401, Unauthenticated):
{
"message": "Unauthenticated."
}
Example response (403, Unauthorized):
{
"message": "This action is unauthorized."
}
Example response (404, Product Not Found):
{
"success": false,
"message": "Resource Not Found"
}
Example response (422, Error Validations):
{
"message": "The ticker field is required.",
"errors": {
"ticker": [
"The ticker field is required."
]
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET /v1/product/detail
requires authentication
Get detailed information about a specific AliExpress product. Returns comprehensive product data including descriptions, specifications, pricing, and seller info.
Example request:
import requests
import json
url = 'https://api.steadyapi.com/v1/aliexpress/product/detail'
params = {
'productId': '3256807406540115',
}
headers = {
'Authorization': 'Bearer {YOUR_AUTH_KEY}'
}
response = requests.request('GET', url, headers=headers, params=params)
response.json()$client = new \GuzzleHttp\Client();
$url = 'https://api.steadyapi.com/v1/aliexpress/product/detail';
$response = $client->get(
$url,
[
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_KEY}',
],
'query' => [
'productId' => '3256807406540115',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));const url = new URL(
"https://api.steadyapi.com/v1/aliexpress/product/detail"
);
const params = {
"productId": "3256807406540115",
};
Object.keys(params)
.forEach(key => url.searchParams.append(key, params[key]));
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());curl --request GET \
--get "https://api.steadyapi.com/v1/aliexpress/product/detail?productId=3256807406540115" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}"Example response (200, Success):
{
"meta": {
"version": "v1.0",
"status": 200,
"copywrite": "https://steadyapi.com",
"product_id": "3256807406540115"
},
"body": {
"product_id": "3256807406540115",
"title": "(1/2/3 Pack) 3-Head Solar Outdoor Light, Motion Sensor Security Light with Wireless Remote Control",
"price": "$5.45",
"original_price": "$64.37",
"quantity": 1632,
"currency": "USD",
"rating": "4.8",
"reviews_count": 7,
"sold": "63 sold",
"images": [
"https://ae-pic-a1.aliexpress-media.com/kf/S77d138cdd40f4c5fb71c5822871a8a01X.jpg",
"https://ae-pic-a1.aliexpress-media.com/kf/S85104630941f4d2ca21b7520607a7767o.jpg",
...
],
"main_image": "https://ae-pic-a1.aliexpress-media.com/kf/S77d138cdd40f4c5fb71c5822871a8a01X.jpg",
"store_id": 1104038631,
"store_name": "Iseyyox Store",
"seller_id": 6000453737,
"description_token": "eyJwcm9kdWN0SWQiOiIxMDA1MDA3NTkyODU0ODY3Iiwia2V5IjoiUzA1ZTAwMjgzMzlmZDQyNmVhYjAwM2MzZmNjNDAxMjI3OC5qc29uIiwidG9rZW4iOiI0NjA0OTIxNTQyMDVmNGZkOTI5ODFhY2I3OTc4NjFjNyIsInNlbGxlcklkIjoiNjAwMDQ1MzczNyJ9",
"specifications": [
{
"attrName": "Hign-concerned Chemical",
"attrValue": "None"
},
{ ... }
],
"variations": [
{
"hasSkuImage": true,
"isShowTypeColor": false,
"showType": "none",
"showTypeColor": false,
"sizeInfo": {
"hasSizeInfo": false,
"icon": "https://ae-pic-a1.aliexpress-media.com/kf/Sbc534a10bc2044448f9aa271540236800/36x36.png",
"sizeInfoUrl": "https://www.aliexpress.com/p/secondaryPage/size-chart.html?_pid=3256807406540115&mid=6000453737&_locale=en_US&version=2",
"title": "Size Chart"
},
"skuPropertyId": 136,
"skuPropertyName": "Emitting Color",
"skuPropertyValues": [
{
"propertyValueDefinitionName": "5PCS",
"propertyValueDisplayName": "5PCS",
"propertyValueIdLong": 72885937,
"propertyValueName": "sunny yellow",
"showHot": false,
"skuPropertyImagePath": "https://ae-pic-a1.aliexpress-media.com/kf/S23c92a84c85a45bea60f8235af83ef1de.png",
"skuPropertyImageSummPath": "https://ae-pic-a1.aliexpress-media.com/kf/S23c92a84c85a45bea60f8235af83ef1de.png_120x120.png_.webp"
},
{
"propertyValueDefinitionName": "4PCS",
"propertyValueDisplayName": "4PCS",
"propertyValueIdLong": 200006153,
"propertyValueName": " Light Yellow",
"showHot": false,
"skuPropertyImagePath": "https://ae-pic-a1.aliexpress-media.com/kf/Seb588bb0555946de8cf76ee5231086a0M.png",
"skuPropertyImageSummPath": "https://ae-pic-a1.aliexpress-media.com/kf/Seb588bb0555946de8cf76ee5231086a0M.png_120x120.png_.webp"
},
{
"propertyValueDefinitionName": "1PCS",
"propertyValueDisplayName": "1PCS",
"propertyValueIdLong": 29,
"propertyValueName": "WHITE",
"showHot": false,
"skuColorValue": "#FFFFFF",
"skuPropertyImagePath": "https://ae-pic-a1.aliexpress-media.com/kf/Sbc2935aebbc944ebac2606c51a4c6695N.jpg",
"skuPropertyImageSummPath": "https://ae-pic-a1.aliexpress-media.com/kf/Sbc2935aebbc944ebac2606c51a4c6695N.jpg_120x120.jpg_.webp"
},
{
"propertyValueDefinitionName": "2PCS",
"propertyValueDisplayName": "2PCS",
"propertyValueIdLong": 200003938,
"propertyValueName": "Warm White",
"showHot": false,
"skuPropertyImagePath": "https://ae-pic-a1.aliexpress-media.com/kf/S77d138cdd40f4c5fb71c5822871a8a01X.jpg",
"skuPropertyImageSummPath": "https://ae-pic-a1.aliexpress-media.com/kf/S77d138cdd40f4c5fb71c5822871a8a01X.jpg_120x120.jpg_.webp"
},
{
"propertyValueDefinitionName": "3PCS",
"propertyValueDisplayName": "3PCS",
"propertyValueIdLong": 200003940,
"propertyValueName": "Cold White",
"showHot": false,
"skuPropertyImagePath": "https://ae-pic-a1.aliexpress-media.com/kf/S644b6e30f3b445778730d69225d4fa348.jpg",
"skuPropertyImageSummPath": "https://ae-pic-a1.aliexpress-media.com/kf/S644b6e30f3b445778730d69225d4fa348.jpg_120x120.jpg_.webp"
}
]
},
{ ... }
],
"shipping": {
"from": "United States",
"to": "United States",
"fee": "$2.99",
"delivery_time": "May. 22 - May. 29"
},
"store_info": {
"name": "Iseyyox Store",
"country": "China",
"store_url": "https://m.aliexpress.com/store/storeHome.htm?sellerAdminSeq=6000453737",
"positive_rating": "97.0",
"total_rating": 70,
"total_products": 282
}
}
}
Example response (401, Unauthenticated):
{
"message": "Unauthenticated."
}
Example response (403, Unauthorized):
{
"message": "This action is unauthorized."
}
Example response (404, Product Not Found):
{
"success": false,
"message": "Resource Not Found"
}
Example response (422, Error Validations):
{
"message": "The ticker field is required.",
"errors": {
"ticker": [
"The ticker field is required."
]
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.
GET /v1/product/description
requires authentication
Get product description using the description token.
Example request:
import requests
import json
url = 'https://api.steadyapi.com/v1/aliexpress/product/description'
params = {
'token': '',
}
headers = {
'Authorization': 'Bearer {YOUR_AUTH_KEY}'
}
response = requests.request('GET', url, headers=headers, params=params)
response.json()$client = new \GuzzleHttp\Client();
$url = 'https://api.steadyapi.com/v1/aliexpress/product/description';
$response = $client->get(
$url,
[
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_KEY}',
],
'query' => [
'token' => '',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));const url = new URL(
"https://api.steadyapi.com/v1/aliexpress/product/description"
);
const params = {
"token": "",
};
Object.keys(params)
.forEach(key => url.searchParams.append(key, params[key]));
const headers = {
"Authorization": "Bearer {YOUR_AUTH_KEY}",
"Accept": "application/json",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());curl --request GET \
--get "https://api.steadyapi.com/v1/aliexpress/product/description?token=" \
--header "Authorization: Bearer {YOUR_AUTH_KEY}"Example response (200, Success):
{
"meta": {
"version": "v1.0",
"status": 200,
"copywrite": "https://steadyapi.com",
"token": "eyJwcm9kdWN0SWQiOiIxMDA1MDA3NTkyODU0ODY3Iiwia2V5IjoiUzA1ZTAwMjgzMzlmZDQyNmVhYjAwM2MzZmNjNDAxMjI3OC5qc29uIiwidG9rZW4iOiI0NjA0OTIxNTQyMDVmNGZkOTI5ODFhY2I3OTc4NjFjNyIsInNlbGxlcklkIjoiNjAwMDQ1MzczNyJ9",
"product_id": "1005007592854867",
"seller_id": "6000453737",
"url": "https://www.aliexpress.us/item/1005007592854867.html"
},
"body": [
{
"type": "text",
"data": {
"content": "γRemote Control & 3 Lighting Modesγ:Each solar motion sensor light is equipped with wireless remote control.You can choose the most suitable mode faster and more portable: β Strong light sensor mode β‘ Dim light sensor mode β’Strong long light mode. Different lighting way for your daily requirement.",
"style": {
"paddingLeft": 16,
"paddingRight": 16,
"paddingTop": 10,
"paddingBottom": 10,
"fontSize": 14,
"fontWeight": "regular",
"align": "left",
"color": "#666666",
"fontFamily": "OpenSans",
"backgroundColor": "#FFFFFF"
}
}
},
{ ... }
]
}
Example response (401, Unauthenticated):
{
"message": "Unauthenticated."
}
Example response (403, Unauthorized):
{
"message": "This action is unauthorized."
}
Example response (404, Product Not Found):
{
"success": false,
"message": "Resource Not Found"
}
Example response (422, Error Validations):
{
"message": "The ticker field is required.",
"errors": {
"ticker": [
"The ticker field is required."
]
}
}
Received response:
Request failed with error:
Tip: Check that you're properly connected to the network.
If you're a maintainer of ths API, verify that your API is running and you've enabled CORS.
You can check the Dev Tools console for debugging information.